Subject: Re: [PATCHv2 0/3] perf tools: Fix prologue generation

From: Jiri Olsa <[email-masked]>
Date: Wed, 1 Jun 2022 20:11:21 +0200

On Thu, May 26, 2022 at 10:16:11PM -0300, Arnaldo Carvalho de Melo wrote:
> Em Tue, May 10, 2022 at 09:46:56AM +0200, Jiri Olsa escreveu:
> > hi,
> > sending change we discussed some time ago [1] to get rid of
> > some deprecated functions we use in perf prologue code.
> > 
> > Despite the gloomy discussion I think the final code does
> > not look that bad ;-)
> > 
> > This patchset removes following libbpf functions from perf:
> >   bpf_program__set_prep
> >   bpf_program__nth_fd
> >   struct bpf_prog_prep_result
> 
> So, the first patch is already in torvalds/master, I tried applying the
> other two patches to my local perf/core, that already is merged with
> torvalds/master and:
> 
> [root@quaco ~]# perf test 42
>  42: BPF filter                                                      :
>  42.1: Basic BPF filtering                                           : FAILED!
>  42.2: BPF pinning                                                   : FAILED!
>  42.3: BPF prologue generation                                       : FAILED!
> [root@quaco ~]#
> 
> I'll push my local perf/core to tmp.perf/core and continue tomorrow.

hi,
I just rebased my changes on top of your perf/core and it seems to work:

	[root@krava perf]# ./perf test bpf
	 40: LLVM search and compile                                         :
	 40.1: Basic BPF llvm compile                                        : Ok
	 40.3: Compile source for BPF prologue generation                    : Ok
	 40.4: Compile source for BPF relocation                             : Ok
	 42: BPF filter                                                      :
	 42.1: Basic BPF filtering                                           : Ok
	 42.2: BPF pinning                                                   : Ok
	 42.3: BPF prologue generation                                       : Ok

is it still a problem?

jirka